import axios from 'axios';
// ----------------------列表-----------------------
const pageBillUrl = '/sound/zone/noise/bill/page';
// 添加
const saveZoneNoiseBill = function (data) {
    return axios.post("/sound/zone/noise/bill",data)
}

// 删除
const removeZoneNoiseBill = function (id) {
    return axios.delete(`/sound/zone/noise/bill/${id}`,)
}
// 批量删除
const removeBatchZoneNoiseBill = function (ids) {
    return axios.delete("/sound/zone/noise/bill/batch",{data:ids})
}

// 修改
const updateZoneNoiseBill = function (data) {
    return axios.put("/sound/zone/noise/bill",data)
}
// 审核
const verifyZoneNoiseBill = function (data) {
    return axios.put("/sound/zone/noise/bill/verify",data);
}
const getZoneNoiseBill = function (id) {
    return axios.get(`/sound/zone/noise/bill/${id}`)
}
// -------------------------数据---------------------
const pageZoneNoiseUrl = '/sound/zone/noise/page';
const listAllZoneNoiseUrl = '/sound/zone/noise';
const listALlZoneNoise = function (params){
    return axios.get(listAllZoneNoiseUrl,{params})
}
// 添加
const saveZoneNoise = function (data) {
    return axios.post("/sound/zone/noise",data)
}

// 删除
const removeZoneNoise = function (id) {
    return axios.delete(`/sound/zone/noise/${id}`,)
}
// 批量删除
const removeBatchZoneNoise = function (ids) {
    return axios.delete("/sound/zone/noise/batch",{data:ids})
}

// 修改
const updateZoneNoise = function (data) {
        return axios.put("/sound/zone/noise",data)
}

// -------------------------统计---------------------
const pageZoneNoiseStatisticUrl = '/sound/zone/noise/statistic';
const statisticLevelDistributionUrl = '/sound/zone/noise/statistic/levelDistribution';
const statisticSourceUrl = '/sound/zone/noise/statistic/source';
const statisticYearUrl = '/sound/zone/noise/statistic/year';
const getHistoryyears = function () {
    return axios.get("/sound/zone/noise/history-year")
}
const getColumnOptions = function(column){
    return axios.get("/sound/zone/noise/options",{params:{column}})
}
// ---gis--
const getPlaceGis = function(data){
    return axios.get("/sound/zone/noise/gis/place",{params:data})
}
const getTrendChart = function(data){
    return axios.post("/sound/zone/noise/trend/chart",data)
}
const getPlaceByRegionLevel = function(column){
    return axios.get("/sound/zone/noise/place/region",{params:{column}})
}
export {
    pageBillUrl,
    saveZoneNoiseBill,
    removeZoneNoiseBill,
    updateZoneNoiseBill,
    removeBatchZoneNoiseBill,
    verifyZoneNoiseBill,
    getZoneNoiseBill,
    pageZoneNoiseUrl,
    saveZoneNoise,
    removeZoneNoise,
    updateZoneNoise,
    removeBatchZoneNoise,
    pageZoneNoiseStatisticUrl,
    getHistoryyears,
    getColumnOptions,
    statisticSourceUrl,
    statisticYearUrl,
    listALlZoneNoise,
    statisticLevelDistributionUrl,
    getPlaceGis,
    getTrendChart,
    getPlaceByRegionLevel

}
